Subject: Re: bug#20222: 25.0.50; Wrong horizontal position of combining characters

From: Orivej Desh <[email-masked]>
Date: Sun, 29 Mar 2015 14:28:24 +0000

> >  --with-xft --without-libotf --without-m17n-flt --with-x-toolkit=gtk2
> 
> What happens if you build with libotf?

Thanks! I rebuilt Emacs with m17n and libotf, and now Ezra SIL and Linux
Libertine look perfect. (But only if multiple composing characters are
entered in some order that seems logical: 05E9 shin + 05C2 sin dot +
05B9 holam compose into one character, yet shin + holam does not compose
with the following sin dot.) Cardo font, on the other hand, became even
more broken, with more composing characters shifted to the right. (I
think it was m17n that helped, because only Linux Libertine is available
in OTF, and also rendering of TTF variant of Linux Libertine got fixed.)